<? $api_conf = Zend_Registry::get('api_config'); ?>
<script type="text/javascript" src="https://maps.googleapis.com/maps/api/js?key=<?= $api_conf['googleMaps'] ?>&sensor=false"></script>
<? 
	if ( $this->escort->agency_id ) {
		if ( ! $this->agency_contacts->is_anonymous ) {
			$address = $this->agency_contacts->street . ", " . $this->agency_contacts->city_title_en . ", Switzerland";
		} else {
			$address = $this->contacts->street_no . " " . $this->contacts->street . ", Switzerland";
		}
	} else {
		$address = $this->contacts->street_no . " " . $this->contacts->street . ", " . $this->esc_contacts->city_title . ", Switzerland";
	}
?>

<? $this->headScript()->appendFile('/index/js-init-exact?view=google-maps-v2&address=' . $address ); ?>

<a rel="contact"></a>

<div class="new_contacts">
	<ul id="contactTabs">
		<li class="active">
			<div class="l"></div>
			<div class="m"><a id="contactTab" class="active contact" href="javascript:void(0);"><span><?= __('contact') ?></span></a></div>
			<div class="r"></div>
		</li>
		<? /*
		<? if ( $this->escort->agency_id && strlen($this->agency_contacts->street) > 3 && ! $this->agency_contacts->is_anonymous ): ?>
		<li>
			<div class="l"></div>
			<div class="m"><a id="mapTab" class="map" href="javascript:void(0);"><span><?= __('map') ?></span></a></div>
			<div class="r"></div>
		</li>
		<? elseif( $this->contacts->street && $this->contacts->street_no ): ?>
		<li>
			<div class="l"></div>
			<div class="m"><a id="mapTab" class="map" href="javascript:void(0);"><span><?= __('map') ?></span></a></div>
			<div class="r"></div>
		</li>
		<? endif; ?>
		*/ ?>
	</ul>

	<div class="n_cont">
		<div class="contactTab block contact">
			<div class="contact_info">
				
				<table class="contact_info_table">
					<tr>
						<th><?= __('base_city') ?>:</th>
						<td>
							<?= ($this->contacts->zip) ? $this->contacts->zip . ' ' : '' ?>
							<a href="<?= $this->getLink('escorts', array('city' => $this->contacts->country_iso . '_' . $this->contacts->city_slug, 'filter' => null, 'page' => null)) ?>" class="bold" title="<?= $this->contacts->{'base_city_' . $this->lang()} ?> <?= $this->t('escorts') ?>">
								<?= $this->contacts->{'base_city_' . $this->lang()} ?>
							</a>
						</td>
					</tr>

					<? if ( count($this->additional_cities) > 0 ): ?>
					<tr>
						<th><?= __('available_in') ?>:</th>
						<td>
							<? foreach($this->additional_cities as $k => $add_city): $seo_cities[] = $add_city->city_title ?>
								<a href="<?= $this->getLink('escorts', array('city' => $add_city->country_iso . '_' . $add_city->city_slug, 'filter' => null, 'page' => null)) ?>"><?= $add_city->city_title ?></a><?php if($k + 1 != count($this->additional_cities)): ?>,&nbsp;<?php endif;?>
							<? endforeach; ?>
						</td>
					</tr>
					<? endif ?>

					<? if ( count($this->zones) > 0 ): ?>
					<tr>
						<th><?= __('cityzones') ?>:</th>
						<td>
							<? foreach($this->zones as $k => $zone): ?>
								<a href="<?= $this->getLink('escorts', array('zone' => $zone->country_iso . '_' . $zone->zone_slug, 'filter' => null, 'page' => null)) ?>"><?= $zone->zone_title ?></a><?php if($k + 1 != count($this->zones)): ?>,&nbsp;<?php endif;?>
							<? endforeach; ?>
						</td>
					</tr>
					<? endif ?>

					<?= print_row('club_name', $this->contacts->club_name) ?>

					<? if ( $this->contacts->street && $this->contacts->street_no ): ?>
					<tr>
						<th></th>
						<td><?= $this->contacts->street ?>, <?= $this->contacts->street_no ?></td>
					</tr>
					<? endif; ?>

					<?
					$phone_instr = array(
						'1' => 'sms_and_call',
						'2' => 'sms_only',
						'3' => 'no_sms'
					);
					?>

					<? 
						$filtered_phone =  (isset($this->contacts->phone_country_id) && !$this->contacts->disable_phone_prefix) ? '+'.Model_Countries::getPhonePrefixById($this->contacts->phone_country_id) . ltrim($this->contacts->phone_number, '0') : $this->contacts->phone_number; 
						$img = '';
						if ( $this->contacts->phone_country_id ) {
							$phone_country = Cubix_Geography_Countries::getById($this->contacts->phone_country_id);
							$img = '<img style="vertical-align:middle; display: inline-block; margin-right: 10px;" src="../img/flags/' . $phone_country->iso . '.png" title="' . $phone_country->title . '" />';
						}
					?>
					<? if( $filtered_phone ): ?>
							<?= print_row('phone', $img . '<span style="vertical-align:middle;" />'.$filtered_phone.'</span>') ?>
						<?php //print_row('phone', $img . '<img style="vertical-align:middle;" src="/index/phone-img?escort_id=' . $this->escort_id . '&fs=12&w=180&h=20&v=16&c=0,0,0" width="180" height="20" alt="Phone" />') ?>
					
					
					
					<? endif; ?>
					<?= print_row('phone_alternative', $this->contacts->phone_number_alt) ?>

					<? if ($this->apps->viber || $this->apps->whatsapp): ?>
						<tr>
							<th><?= __('apps_available')?>: </th>
							<td>
								<? if ($this->apps->whatsapp): ?>
									<div class="whatsapp">WhatsApp</div>
								<? endif; ?>
								<? if ($this->apps->viber && $this->apps->whatsapp): ?> <div class="fleft" style="margin: 1px 5px 0 5px;">/</div> <? endif; ?>
								<? if ($this->apps->viber): ?>
									<div class="viber"></div>
								<? endif; ?>
								<div class="clear"></div>
							</td>
						</tr>
					<? endif; ?>

					<? if ( $this->contacts->phone_instr || $this->contacts->phone_instr_no_withheld): ?>
						<?
							$instr = '';

							if ( $this->contacts->phone_instr ) {
								$instr = $this->t($phone_instr[$this->contacts->phone_instr]);
							}

							if ( $this->contacts->phone_instr_no_withheld ) {
								$instr .= ", " . $this->t('phone_instr_no_withheld');
							}
						?>
						<tr>
							<th><?= $this->t('phone_instructions')?>: </th>
							<td class='bold'><?= $instr ?></td>
						</tr>
					<? endif; ?>

					<?= print_row('phone_instructions_other', $this->contacts->phone_instr_other, 120) ?>

					<? if ($this->add_phones->phone_additional_1): ?>
						<tr><td colspan="2"><div style="height: 1px; width: auto; border-bottom: 1px solid #eee;"></div></td></tr>
						<?= print_row('phone_alternative', '<img src="/index/phone-img?escort_id=' . $this->escort_id . '&fs=12&w=180&h=20&v=16&c=0,0,0&add=1" width="180" height="20" alt="Phone" />') ?>
						
						<? if ($this->apps->viber_1 || $this->apps->whatsapp_1): ?>
							<tr>
								<th><?= __('apps_available')?>: </th>
								<td>
									<? if ($this->apps->whatsapp_1): ?>
										<div class="whatsapp">WhatsApp</div>
									<? endif; ?>
									<? if ($this->apps->viber_1 && $this->apps->whatsapp_1): ?> <div class="fleft" style="margin: 1px 5px 0 5px;">/</div> <? endif; ?>
									<? if ($this->apps->viber_1): ?>
										<div class="viber"></div>
									<? endif; ?>
									<div class="clear"></div>
								</td>
							</tr>
						<? endif; ?>	
							
						<? if ( $this->add_phones->phone_instr_1 || $this->add_phones->phone_instr_no_withheld_1): ?>
							<?
							$instr = '';

							if ( $this->add_phones->phone_instr_1 ) {
								$instr = $this->t($phone_instr[$this->add_phones->phone_instr_1]);
							}

							if ( $this->add_phones->phone_instr_no_withheld_1 ) {
								$instr .= ", " . $this->t('phone_instr_no_withheld');
							}
							?>
							<tr>
								<th><?= $this->t('phone_instructions')?>: </th>
								<td class='bold'><?= $instr ?></td>
							</tr>
						<? endif; ?>

						<?= print_row('phone_instructions_other', $this->add_phones->phone_instr_other_1, 120) ?>
					<? endif; ?>

					<? if ($this->add_phones->phone_additional_2): ?>
						<tr><td colspan="2"><div style="height: 1px; width: auto; border-bottom: 1px solid #eee;"></div></td></tr>
						<?= print_row('phone_alternative', '<img src="/index/phone-img?escort_id=' . $this->escort_id . '&fs=12&w=180&h=20&v=16&c=0,0,0&add=2" width="180" height="20" alt="Phone" />') ?>
						<? if ($this->apps->viber_2 || $this->apps->whatsapp_2): ?>
							<tr>
								<th><?= __('apps_available')?>: </th>
								<td>
									<? if ($this->apps->whatsapp_2): ?>
										<div class="whatsapp">WhatsApp</div>
									<? endif; ?>
									<? if ($this->apps->viber_2 && $this->apps->whatsapp_2): ?> <div class="fleft" style="margin: 1px 5px 0 5px;">/</div> <? endif; ?>
									<? if ($this->apps->viber_2): ?>
										<div class="viber"></div>
									<? endif; ?>
									<div class="clear"></div>
								</td>
							</tr>
						<? endif; ?>	
						<? if ( $this->add_phones->phone_instr_2 || $this->add_phones->phone_instr_no_withheld_2): ?>
							<?
							$instr = '';

							if ( $this->add_phones->phone_instr_2 ) {
								$instr = $this->t($phone_instr[$this->add_phones->phone_instr_2]);
							}

							if ( $this->add_phones->phone_instr_no_withheld_2 ) {
								$instr .= ", " . $this->t('phone_instr_no_withheld');
							}
							?>
							<tr>
								<th><?= $this->t('phone_instructions')?>: </th>
								<td class='bold'><?= $instr ?></td>
							</tr>
						<? endif; ?>

						<?= print_row('phone_instructions_other', $this->add_phones->phone_instr_other_2, 120) ?>
					<? endif; ?>

					<? if ($this->contacts->email): ?>
					<tr>
						<th><?= $this->t('email') ?>:</th>
						<td class='bold'>
							<div style="display: block; float: left">
								<a style="display: block; width: 90px; height: 18px; outline: none" href="<?= $this->getLink('feedback') . '?to=' . $this->escort->id ?>" onclick="return Cubix.Feedback.Show($(this).getParent(), <?= $this->escort->id ?>, true)">
									<img src='<?= _st($this->lang() . '_btn_contactme.png') ?>' alt='<?= $this->t('contact_me') ?>' />
								</a>
							</div>
						</td>
					</tr>
					<? endif ?>
					
					<? if ( $this->allowChat2() && $this->online_status ): ?>
					<tr>
						<th><?= $this->t('chat') ?>:</th>
						<td>
							<? if (Model_Users::getCurrent()): ?>
								<a href="javascript:;" onClick="chat.chatWith('<?= $this->escort_user_id ?>');"><img src="<?=_st('chat_now_active.png') ?>"  class="margin3" alt="" /></a>
							<? else: ?>
								<a href="#" class="chat_login"><img src="<?=_st('chat_now_active.png') ?>"  class="margin3" alt="" /></a>
							<? endif; ?>
						</td>
					</tr>
					<? endif; ?>
					
					<? if (!$this->escort->block_website && $this->contacts->website): ?>
						<? $this->contacts->website = rtrim(str_replace( array('www.', 'http://', 'https://' ) , '', $this->contacts->website),"/"); ?>
						<?= print_row('web', $this->contacts->website ? '<a href="' . $this->getLink('external-link', array('link' => $this->contacts->website)) . '" target="_blank" rel="nofollow">' . $this->contacts->website . '</a>' : false) ?>
					<? endif; ?>
					
					<? /*
					<? $agency_web = $this->escort->getAgencyWeb(); ?>
					<? if (!$agency_web->a_block_website): ?>
						<? if(!$this->escort->block_website && $this->contacts->website): ?>
							<?= print_row('web', $this->contacts->website ? '<a href="' . $this->getLink('external-link', array('link' => $this->contacts->website)) . '" target="_blank" rel="nofollow">' . $this->contacts->website . '</a>' : false) ?>
						<? else: ?>
							<?= print_row('web', $agency_web->a_web ? '<a href="' . $this->getLink('external-link', array('link' => $agency_web->a_web)) . '" target="_blank" rel="nofollow">' . $agency_web->a_web . '</a>' : false) ?>
						<? endif; ?>
					<? endif; ?>
					*/ ?>
					<? $this->info_bar_phone = $filtered_phone; ?>
				</table>
				
				<div class="clear"></div>
				<div class="borderElm"></div>
				
				<!-- Working Times block -->
				<? if ( $this->work_times['working_times'] || $this->work_times['available_24_7'] ): ?>
					<?= $this->render('escorts/profile-v2/working-times.phtml') ?>
				<? endif; ?>
			</div>
		</div>
		
		<div class="mapTab none">
			<div id="map_canvas" style="width:100%; height:370px"></div>
		</div>
		
		<? if ( $this->escort->agency_id && ! $this->agency_contacts->is_anonymous ): ?>
		<!-- Club Girls Block -->
		<div class="thumbs-escorts ajax" id="container_agency_escorts">
			<?= $this->render('escorts/profile-v2/club-girls.phtml') ?>
		</div>
		<? endif; ?>
		
		<div class="clear"></div>
	</div>
</div>